#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xA4,0xD9,0x2D,0x70,0xEA,0x32,0x54,0xCE,0x4A,0x5C,0x64,0x30,
		0x9F,0xB6,0xE0,0x32,0xB3,0x28,0xB7,0x48,0x10,0x19,0xEF,0x56,
		0x6D,0x7C,0x71,0x20,0x70,0x40,0xE1,0x0C,0xBE,0xF1,0xB6,0x4E,
		0x45,0xB1,0xAB,0x26,0x48,0x6E,0x52,0x1F,0xD1,0x8F,0xD6,0x46,
		0x46,0x55,0xA6,0xF1,0x8D,0x9B,0x75,0xDD,0x06,0xA0,0xB6,0xC3,
		0x2F,0x88,0x7E,0x47,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
